org.apache.ignite.internal.commandline.cache

## Enum CacheSubcommands

- java.lang.Object
- - java.lang.Enum<CacheSubcommands>
  - - org.apache.ignite.internal.commandline.cache.CacheSubcommands

All Implemented Interfaces:
  Serializable, Comparable<CacheSubcommands>

    public enum CacheSubcommands
    extends Enum<CacheSubcommands>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTENTION` Prints info about contended keys (the keys concurrently locked from multiple transactions).
`DISTRIBUTION` Collect information on the distribution of partitions.
`FIND_AND_DELETE_GARBAGE` Find and remove garbage.
`HELP` Prints out help for the cache command.
`IDLE_VERIFY` Checks consistency of primary and backup partitions assuming no concurrent updates are happening in the cluster.
`LIST` Prints info regarding caches, groups or sequences.
`RESET_LOST_PARTITIONS` Reset lost partitions
`VALIDATE_INDEXES` Validates indexes attempting to read each indexed entry.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static @Nullable CacheSubcommands` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`Class<? extends Enum<? extends CommandArg>>` `getCommandArgs()`
`static CacheSubcommands` `of(String text)`
`Command` `subcommand()`
`String` `text()`
`String` `toString()`
`static CacheSubcommands` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheSubcommands[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HELP

    public static final CacheSubcommands HELP

Prints out help for the cache command.

#### IDLE_VERIFY

    public static final CacheSubcommands IDLE_VERIFY

Checks consistency of primary and backup partitions assuming no concurrent updates are happening in the cluster.

#### LIST

    public static final CacheSubcommands LIST

Prints info regarding caches, groups or sequences.

#### VALIDATE_INDEXES

    public static final CacheSubcommands VALIDATE_INDEXES

Validates indexes attempting to read each indexed entry.

#### CONTENTION

    public static final CacheSubcommands CONTENTION

Prints info about contended keys (the keys concurrently locked from multiple transactions).

#### DISTRIBUTION

    public static final CacheSubcommands DISTRIBUTION

Collect information on the distribution of partitions.

#### RESET_LOST_PARTITIONS

    public static final CacheSubcommands RESET_LOST_PARTITIONS

Reset lost partitions

#### FIND_AND_DELETE_GARBAGE

    public static final CacheSubcommands FIND_AND_DELETE_GARBAGE

Find and remove garbage.

### Method Detail

#### values

    public static CacheSubcommands[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheSubcommands c : CacheSubcommands.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheSubcommands valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static CacheSubcommands of(String text)

Parameters:
  `text` - Command text.
Returns:
  Command for the text.

#### text

    public String text()

Returns:
  Name.

#### subcommand

    public Command subcommand()

Returns:
  Subcommand realization.

#### getCommandArgs

    public Class<? extends Enum<? extends CommandArg>> getCommandArgs()

Returns:
  Enum class with argument list for command.

#### fromOrdinal

    @Nullable
    public static @Nullable CacheSubcommands fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CacheSubcommands>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020